Bug Hunting Session
Bug 103188 - FILEOPEN: DOCX Incorrect text in First page's footer
Summary: FILEOPEN: DOCX Incorrect text in First page's footer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, filter:docx, regression
Depends on:
Blocks: DOCX-Header-Footer
  Show dependency treegraph
 
Reported: 2016-10-13 18:17 UTC by Xisco Faulí
Modified: 2019-02-25 21:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-10-13 18:17:34 UTC
FILEOPEN: Incorrect text in First page's footer

Steps to reproduce:
1. Open attachment #102344 [details]
2. Check first page's footer

Observed Behavior: First page's footer contains this string on the right: 'Australian Flexible Learning Network. Page 4"

Expected behavior: First page's footer shouldn't have that text

Reproduced in 

Version: 5.3.0.0.alpha0+
Build ID: ae94c223e2e21e42fc7feca72402b910e5eab5c7
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and in ( removing the blue square )

Version: 4.2.0.0.alpha1+
Build ID: 22ea573b7417db0392c006dff06cde50ddbcd469

but not in

Version: 4.1.0.0.alpha1+
Build ID: a2c9d4f8bbde97f175bae4df771273a61251f40
Comment 2 Xisco Faulí 2016-10-13 22:28:43 UTC
I'm pretty sure the duplicate image of the 'Austrian Goverment' is also related to this bug.
The 'Acknowledgements' problem is reported in bug 103205
Comment 3 Yousuf Philips (jay) (retired) 2016-10-19 19:19:29 UTC
The "Australian Flexible Learning Network. Page 4" is available on the first page in MS Word 2010, but it is being covered up by the blue square, so the issue is that 'Rectangle 5' has a weird z-order issue as moving the square hides the stuff behind it, but alt+tabbing back and forth or scrolling up and then back down will show the stuff behind it.

(In reply to Xisco Faulí from comment #2)
> I'm pretty sure the duplicate image of the 'Austrian Goverment' is also
> related to this bug.

The second image isnt a duplicate of the first as the second says 'Department of Education and Workplace Relations' (image4.png in the xml zip) and the first says 'Department of Industry, Innovation Science, Research and Tertiary Education' (image3.png in the xml zip). If i had to guess, i'd assume the image is located off the page and LO doesnt have this feature.

word/_rels/document.xml.rels: <Relationship Id="rId12" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/image" Target="media/image4.png"/>

word/document.xml: <pic:pic xmlns:pic="http://schemas.openxmlformats.org/drawingml/2006/picture"> ... <pic:blipFill><a:blip r:embed="rId12" cstate="print" /><a:srcRect /><a:stretch><a:fillRect /></a:stretch></pic:blipFill>
Comment 4 QA Administrators 2017-12-10 16:40:37 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug